|  | Home · All Classes · Modules

# QHoverEvent Class Reference
[QtGui module]

The QHoverEvent class contains parameters that describe a mouse event. More...

Inherits QEvent.

### Methods

- __init__ (self, QEvent.Type type, QPoint pos, QPoint oldPos)
- __init__ (self, QHoverEvent other)
- QPoint oldPos (self)
- QPoint pos (self)

## Detailed Description

The QHoverEvent class contains parameters that describe a mouse event.

Mouse events occur when a mouse cursor is moved into, out of, or within a widget, and if the widget has the Qt.WA_Hover attribute.

The function pos() gives the current cursor position, while oldPos() gives the old mouse position.

## Method Documentation

### QHoverEvent.__init__ (self, QEvent.Type type, QPoint pos, QPoint oldPos)

Constructs a hover event object.

The type parameter must be QEvent.HoverEnter, QEvent.HoverLeave, or QEvent.HoverMove.

The pos is the current mouse cursor's position relative to the receiving widget, while oldPos is the previous mouse cursor's position relative to the receiving widget.

### QHoverEvent.__init__ (self, QHoverEvent other)

### QPoint QHoverEvent.oldPos (self)

Returns the previous position of the mouse cursor, relative to the widget that received the event. If there is no previous position, oldPos() will return the same position as pos().

On QEvent.HoverEnter events, this position will always be QPoint(-1, -1).

See also pos().

### QPoint QHoverEvent.pos (self)

Returns the position of the mouse cursor, relative to the widget that received the event.

On QEvent.HoverLeave events, this position will always be QPoint(-1, -1).

See also oldPos().